Skip to main content
POST
/
api
/
v1
/
contact-auth
/
me
/
hubs
/
{hub_id}
/
onboarding
/
complete
Mark hub onboarding complete
curl --request POST \
  --url https://api.member.dev/api/v1/contact-auth/me/hubs/{hub_id}/onboarding/complete \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "contact_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "hub_id": "<string>",
      "notification_prefs": {},
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "ban_reason": "<string>",
      "banned_at": "2023-11-07T05:31:56Z",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "onboarded_at": "2023-11-07T05:31:56Z",
      "role": "<string>",
      "tos_acceptance_required": false,
      "tos_accepted_at": "2023-11-07T05:31:56Z",
      "tos_accepted_version": "<string>",
      "welcome_email_sent": false
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required

Response

Successful Response

data
JsonApiResource[HubMembershipAttributes] · object
required
included
any[] | null
meta
Meta · object